Subject: bug#53526: closed (Re: bug#53618: 29.0.50; macroexp-warn-and-return incompatible change)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Feb 2022 19:21:03 +0000

Your bug report

#53618: 29.0.50; macroexp-warn-and-return API change

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53618: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53618
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53618: 29.0.50; macroexp-warn-and-return incompatible change
From: Stefan Monnier <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Sat, 19 Feb 2022 14:20:25 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> We can't break compatibility in this way, so please go ahead and push
> your patch.

Thanks, done,

        Stefan

Subject: 29.0.50; macroexp-warn-and-return API change
From: Stefan Monnier <[email-masked]>
To: [email-masked]
Date: Tue, 25 Jan 2022 11:56:22 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: Emacs
Version: 29.0.50

The following change in `macroexp.el` on `master` is not backward
compatible with the Emacs-28 API:

-(defun macroexp-warn-and-return (msg form &optional category compile-only)
+(defun macroexp-warn-and-return (arg msg form &optional category compile-only)

I suspect that the `arg` should be added at the end instead.  While I'm
here I also noticed that `byte-compile-form-stack` is a poor name for
a variable declared in `macroexp.el`.  It should either be renamed to
use the `macroexp-` prefix, or moved to `bytecomp.el` (and it probably
should have a double-hyphen, since I think it's not meant to be used by
anyone but us).

        Stefan